Bug 895286

Summary: Horizon package missing a dependency to python-netaddr
Product: Red Hat OpenStack Reporter: Alvaro Lopez Ortega <aortega>
Component: python-django-horizonAssignee: Matthias Runge <mrunge>
Status: CLOSED ERRATA QA Contact: Nir Magnezi <nmagnezi>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 2.1CC: aortega, derekh, dradez, jpichon, mrunge
Target Milestone: snapshot2Keywords: Triaged
Target Release: 2.1   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python-django-horizon-2012.2.1-3.el6ost Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-18 19:00:00 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Alvaro Lopez Ortega 2013-01-14 19:25:36 EST
Description of problem:
After installing RHOS, Horizon did not work. Ended up a missing dependency on python-netaddr.

Version-Release number of selected component (if applicable):
 Name        : python-django-horizon
 Arch        : noarch
 Version     : 2012.2.1
 Release     : 2.el6ost

How reproducible:


Steps to Reproduce:
1. Install RHOS
2. Launch Horizon
3. Browse to its public URL
4. Get the following error in Apache's error log file
 
Actual results:
[Mon Jan 14 22:53:11 2013] [error] [client 10.16.187.164]     self._wrapped = self._setupfunc()
[Mon Jan 14 22:53:11 2013] [error] [client 10.16.187.164]   File "/usr/lib/python2.6/site-packages/horizon/base.py", line 730, in url_patterns
[Mon Jan 14 22:53:11 2013] [error] [client 10.16.187.164]     return self._urls()[0]
[Mon Jan 14 22:53:11 2013] [error] [client 10.16.187.164]   File "/usr/lib/python2.6/site-packages/horizon/base.py", line 762, in _urls
[Mon Jan 14 22:53:11 2013] [error] [client 10.16.187.164]     url(r'^%s/' % dash.slug, include(dash._decorated_urls)))
[Mon Jan 14 22:53:11 2013] [error] [client 10.16.187.164]   File "/usr/lib/python2.6/site-packages/horizon/base.py", line 469, in _decorated_urls
[Mon Jan 14 22:53:11 2013] [error] [client 10.16.187.164]     url(r'^%s/' % panel.slug, include(panel._decorated_urls)))
[Mon Jan 14 22:53:11 2013] [error] [client 10.16.187.164]   File "/usr/lib/python2.6/site-packages/horizon/base.py", line 243, in _decorated_urls
[Mon Jan 14 22:53:11 2013] [error] [client 10.16.187.164]     urlpatterns = self._get_default_urlpatterns()
[Mon Jan 14 22:53:11 2013] [error] [client 10.16.187.164]   File "/usr/lib/python2.6/site-packages/horizon/base.py", line 96, in _get_default_urlpatterns
[Mon Jan 14 22:53:11 2013] [error] [client 10.16.187.164]     urls_mod = import_module('.urls', package_string)
[Mon Jan 14 22:53:11 2013] [error] [client 10.16.187.164]   File "/usr/lib/python2.6/site-packages/django/utils/importlib.py", line 35, in import_module
[Mon Jan 14 22:53:11 2013] [error] [client 10.16.187.164]     __import__(name)
[Mon Jan 14 22:53:11 2013] [error] [client 10.16.187.164]   File "/usr/lib/python2.6/site-packages/horizon/dashboards/nova/volumes/urls.py", line 19, in <module>
[Mon Jan 14 22:53:11 2013] [error] [client 10.16.187.164]     from .views import (IndexView, CreateView, EditAttachmentsView, DetailView,
[Mon Jan 14 22:53:11 2013] [error] [client 10.16.187.164]   File "/usr/lib/python2.6/site-packages/horizon/dashboards/nova/volumes/views.py", line 33, in <module>
[Mon Jan 14 22:53:11 2013] [error] [client 10.16.187.164]     from .forms import CreateForm, AttachForm, CreateSnapshotForm
[Mon Jan 14 22:53:11 2013] [error] [client 10.16.187.164]   File "/usr/lib/python2.6/site-packages/horizon/dashboards/nova/volumes/forms.py", line 19, in <module>
[Mon Jan 14 22:53:11 2013] [error] [client 10.16.187.164]     from horizon.utils.fields import SelectWidget
[Mon Jan 14 22:53:11 2013] [error] [client 10.16.187.164]   File "/usr/lib/python2.6/site-packages/horizon/utils/fields.py", line 2, in <module>
[Mon Jan 14 22:53:11 2013] [error] [client 10.16.187.164]     import netaddr
[Mon Jan 14 22:53:11 2013] [error] [client 10.16.187.164] ImportError: No module named netaddr

Expected results:


Additional info:
Comment 2 Matthias Runge 2013-01-15 07:33:18 EST
Thank you for the report, that's a good catch! I'll add a Requires: python-netaddr to the package spec.